Page MenuHomePhabricator

s51127__dewiki_lists (merlbot) database using 13G on labsdb1001 (enwiki)
Closed, ResolvedPublic

Description

@Merl , is this database in active use? If not, would it be possible to empty it?

Event Timeline

RobH removed a subscriber: RobH.Apr 21 2016, 6:53 PM
chasemp triaged this task as High priority.May 31 2016, 3:30 PM

@Merl ping

scfc moved this task from Triage to Backlog on the Toolforge board.Dec 4 2016, 8:30 PM
bd808 moved this task from Triage to Database on the Cloud-Services board.Jun 8 2017, 4:30 AM

Merl is inactive since about one year. The crontabs have been commented out one year ago. My first suggestion would be: create a dump, so that the table can get restored, if needed, and then cleanup the DB.

Thanks @Luke081515 - we expanded the partitions some months ago so disk space isn't an issue here anymore, but it is always good to clean up things.
As the user never replied:

I have taken a backup of this user's db and placed it on: labsdb1001:/srv/T133325
Probably on Monday I will drop it and if we need to recreate it:

labsdb1001: cat /srv/T133325/s51127__dewiki_lists.sql | mysql --skip-ssl
Marostegui closed this task as Resolved.Jun 21 2017, 9:59 AM
Marostegui claimed this task.

And I have dropped this:

mysql:root@localhost [s51127__dewiki_lists]> drop database if exists s51127__dewiki_lists;
Query OK, 64 rows affected (0.25 sec)

If we want to add it back:

labsdb1001: cat /srv/T133325/s51127__dewiki_lists.sql | mysql --skip-ssl